## sahara 3.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6

alembic>=0.8.0
Babel>=1.3
eventlet>=0.17.4
Flask<1.0,>=0.10
iso8601>=0.1.9
Jinja2>=2.6 # BSD License (3 clause)
jsonschema!=2.5.0,<3.0.0,>=2.0.0
keystonemiddleware>=2.0.0
oslo.config>=2.3.0 # Apache-2.0
oslo.concurrency>=2.3.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=2.4.1 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
oslo.middleware>=2.8.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.service>=0.7.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
paramiko>=1.13.0
requests>=2.5.2
python-barbicanclient>=3.3.0
python-cinderclient>=1.3.1
python-keystoneclient>=1.6.0
python-manilaclient>=1.3.0
python-novaclient>=2.28.1
python-swiftclient>=2.2.0
python-neutronclient>=2.6.0
python-heatclient>=0.3.0
six>=1.9.0
stevedore>=1.5.0 # Apache-2.0
SQLAlchemy<1.1.0,>=0.9.9
WebOb>=1.2.3

=== debian/changelog ===
sahara (1:3.0.0-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Nov 2015 12:17:21 +0100

sahara (1:3.0.0-4) unstable; urgency=medium

  * Added q-text-as-data in depends of sahara-api.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:58:35 +0000

sahara (1:3.0.0-3) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools 37 to use Keystone API v3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 09:14:17 +0000

sahara (1:3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 20:05:35 +0000

sahara (1:3.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 17:05:17 +0200

sahara (1:3.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added nl.po.
  * Now sahara-api depends on python-openstackclient.

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 Sep 2015 20:02:03 +0000

sahara (1:3.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2015 10:50:55 +0200

sahara (1:3.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed debian/patches/also-install-alembic-migrations.patch applied
    upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Aug 2015 16:30:57 +0200

sahara (2015.1.0-6) unstable; urgency=medium

  * Makes build reproducible thanks to Juan Picca <jumapico@gmail.com>
    (Closes: #788595).

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Jun 2015 15:49:50 +0200

sahara (2015.1.0-5) unstable; urgency=medium

  * Patches MANIFEST.in to get alembic_migrations in instead of copying
    them in debian/rules.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jun 2015 00:51:21 +0200

sahara (2015.1.0-4) unstable; urgency=medium

  * Added fr.po thanks to Julien Patriarca (Closes: #785354).

 -- Thomas Goirand <zigo@debian.org>  Sat, 30 May 2015 14:52:18 +0000

sahara (2015.1.0-3) unstable; urgency=medium

  * Removes obsolete patches.
  * Adds new sahara-api and sahara-engine packages, as this is now the
    recommended way to run Sahara. The old sahara package is now a
    metapackage (for compatibility reasons) which depends on them:
    - Moves files to sahara-common.install instead of sahara.install.
    - sahara-common Breaks+Replaces: the old sahara .deb.
    - Moves the sahara API endpoint registration to sahara-api.
    - Moves sahara.logrotate to sahara-common.logrotate, and makes it
      rotate /var/log/sahara/*.log.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 May 2015 13:51:04 +0200

sahara (2015.1.0-2) unstable; urgency=medium

  * Added pt.po translation of Debconf messages (Closes: #784595).

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 May 2015 23:13:52 +0200

sahara (2015.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Apr 2015 22:02:01 +0000

sahara (2015.1~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Reviewed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Jan 2015 17:35:30 +0100

sahara (2014.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Now requires openstack-pkg-tools (>= 20~).

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Dec 2014 05:17:43 +0000

sahara (2014.2-2) experimental; urgency=medium

  * Fixed the sahara endpoint url from v1 to v1.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Oct 2014 20:55:18 +0800

sahara (2014.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Oct 2014 20:10:10 +0800

sahara (2014.2~rc2-1) experimental; urgency=medium

  * New upstream release.
  * Review short description.

 -- Thomas Goirand <zigo@debian.org>  Sun, 12 Oct 2014 16:04:55 +0800

sahara (2014.2~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Added python-mysqldb as dependency.
  * Updated (build-)depends for this release.
  * Now using templated init script for sysv-rc, generated systemd unit and
    upstart jobs, using openstack-pkg-tools >= 13.
  * Removed Use_auth_uri_parameter_from_config.patch applied upstream.
  * Added doc-base registration file in sahara-doc.
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Oct 2014 11:16:07 +0800

sahara (2014.2~b3-1) experimental; urgency=medium

  * Initial release. (Closes: #762659)

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Sep 2014 16:34:46 +0800

=== debian/control ===
Source: sahara
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 37~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.0),
                     python-babel,
                     python-barbicanclient (>= 3.3.0),
                     python-bashate,
                     python-cinderclient (>= 1:1.3.1),
                     python-coverage,
                     python-eventlet (>= 0.17.4),
                     python-fixtures (>= 1.3.1),
                     python-flask,
                     python-hacking,
                     python-heatclient (>= 0.3.0),
                     python-iso8601,
                     python-jinja2,
                     python-jsonschema,
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 2.0.0),
                     python-mako,
                     python-manilaclient (>= 1.3.0),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.3),
                     python-mysqldb,
                     python-neutronclient (>= 1:2.6.0),
                     python-novaclient (>= 2:2.28.1),
                     python-oslo.concurrency (>= 2.3.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 2.4.1),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.messaging (>= 1.16.0),
                     python-oslo.middleware (>= 2.8.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.service (>= 0.8.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paramiko,
                     python-prettytable,
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-requests (>= 2.5.2),
                     python-rfc3986,
                     python-saharaclient (>= 0.10.0),
                     python-six (>= 1.9.0),
                     python-sphinxcontrib-httpdomain,
                     python-sqlalchemy (>= 0.9.9),
                     python-stevedore (>= 1.5.0),
                     python-swiftclient,
                     python-tempest-lib (>= 0.8.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-webob,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Homepage: https://github.com/openstack/sahara
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/sahara.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/sahara.git

Package: python-sahara
Architecture: all
Section: python
Depends: alembic (>= 0.8.0),
         python-babel,
         python-barbicanclient (>= 3.3.0),
         python-cinderclient (>= 1:1.3.1),
         python-eventlet (>= 0.17.4),
         python-flask,
         python-heatclient (>= 0.3.0),
         python-iso8601,
         python-jinja2,
         python-jsonschema,
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 2.0.0),
         python-manilaclient (>= 1.3.0),
         python-mysqldb,
         python-neutronclient (>= 1:2.6.0),
         python-novaclient (>= 2:2.28.1),
         python-oslo.concurrency (>= 2.3.0),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 2.4.1),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.8.0),
         python-oslo.messaging (>= 1.16.0),
         python-oslo.middleware (>= 2.8.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.service (>= 0.8.0),
         python-oslo.utils (>= 2.0.0),
         python-paramiko,
         python-pbr (>= 1.8),
         python-psycopg2 (>= 2.5),
         python-pymysql,
         python-requests (>= 2.5.2),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 0.9.9),
         python-stevedore (>= 1.5.0),
         python-swiftclient,
         python-webob,
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Recommends: python-ldap
Description: OpenStack data processing cluster as a service - library
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the Python libraries.

Package: sahara-common
Architecture: all
Section: python
Depends: adduser,
         dbconfig-common,
         debconf,
         python-sahara (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Recommends: python-ldap
Breaks: sahara (<< 2015.1.0-3~)
Replaces: sahara (<< 2015.1.0-3~)
Description: OpenStack data processing cluster as a service - common files
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the common files.

Package: sahara-api
Architecture: all
Section: python
Depends: adduser,
         dbconfig-common,
         python-openstackclient,
         q-text-as-data,
         sahara-common (= ${source:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack data processing cluster as a service - API server
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the API server.

Package: sahara-engine
Architecture: all
Section: python
Depends: adduser,
         dbconfig-common,
         sahara-common (= ${source:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack data processing cluster as a service - Engine server
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the engine daemon.

Package: sahara
Architecture: all
Section: python
Depends: sahara-engine (= ${source:Version}),
         sahara-api (= ${source:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack data processing cluster as a service - API & Engine
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This metapackage depends on the API server and the engine daemon.

Package: sahara-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: OpenStack data processing cluster as a service - doc
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog -S Version | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/')

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	./run_tests.sh -N -P || true
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/sahara-doc/usr/share/doc/sahara-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build $(SPHINXOPTS) -b man doc/source doc/build/man
	dh_installman -O--buildsystem=python_distutils
endif

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func sahara-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func sahara-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func sahara-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func sahara-common.postinst

override_dh_install:
	dh_install -O--buildsystem=python_distutils --fail-missing

	# Install the config files.
	mkdir -p $(CURDIR)/debian/sahara-common/usr/share/sahara-common
	oslo-config-generator \
		--namespace sahara.config \
		--namespace oslo.db \
		--namespace oslo.messaging \
		--namespace oslo.concurrency \
		--namespace keystonemiddleware.auth_token \
		--namespace periodic.config \
		--namespace ssl.config \
		--namespace oslo.log \
		--namespace oslo.policy \
		--output-file $(CURDIR)/debian/sahara-common/usr/share/sahara-common/sahara.conf
	sed -i 's|#connection=<None>|connection=sqlite:///var/lib/sahara/saharadb|' $(CURDIR)/debian/sahara-common/usr/share/sahara-common/sahara.conf

	mkdir -p $(CURDIR)/debian/sahara-commom/etc/sahara
	cp etc/sahara/compute.topology.sample $(CURDIR)/debian/sahara-commom/etc/sahara/compute.topology
	cp etc/sahara/swift.topology.sample $(CURDIR)/debian/sahara-commom/etc/sahara/swift.topology
	set -e ; for i in policy.json rootwrap.conf rootwrap.d ; do \
		cp -rfv etc/sahara/$$i $(CURDIR)/debian/sahara-commom/etc/sahara ; \
	done

override_dh_clean:
	rm -rf build 	debian/sahara-common.postinst \
			debian/sahara-common.config \
			debian/sahara-api.postinst \
			debian/sahara-api.config
	rm -rf doc/build
	rm -f debian/*.init debian/*.service debian/*.upstart
	dh_clean -O--buildsystem=python_distutils

## sahara 3.0.3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6

alembic>=0.8.0
Babel!=2.3.0,!=2.3.1,!=2.3.2,!=2.3.3,>=1.3 # BSD
eventlet>=0.17.4
Flask!=0.11,<1.0,>=0.10
iso8601>=0.1.9
Jinja2>=2.6 # BSD License (3 clause)
jsonschema!=2.5.0,<3.0.0,>=2.0.0
keystonemiddleware!=2.4.0,>=2.0.0
oslo.config>=2.3.0 # Apache-2.0
oslo.concurrency>=2.3.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=2.4.1 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.messaging!=1.17.0,!=1.17.1,!=2.6.0,!=2.6.1,!=2.7.0,!=2.8.0,!=2.8.1,!=2.9.0,!=3.1.0,>=1.16.0 # Apache-2.0
oslo.middleware!=3.0.0,!=3.1.0,!=3.2.0,>=2.8.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.service>=0.7.0 # Apache-2.0
oslo.utils!=2.6.0,>=2.0.0 # Apache-2.0
paramiko>=1.13.0
requests!=2.8.0,!=2.9.0,>=2.5.2
python-barbicanclient>=3.3.0
python-cinderclient>=1.3.1
python-keystoneclient!=1.8.0,<3.0.0,>=1.6.0
python-manilaclient>=1.3.0
python-novaclient!=2.33.0,>=2.28.1
python-swiftclient>=2.2.0
python-neutronclient>=2.6.0
python-heatclient>=0.3.0
six>=1.9.0
stevedore>=1.5.0 # Apache-2.0
SQLAlchemy<1.1.0,>=0.9.9
WebOb>=1.2.3

=== debian/changelog ===
sahara (1:3.0.3-0ubuntu1~cloud1) trusty-liberty; urgency=medium

  * d/p/fix-requirements.patch: Drop Flask!=0.11 because it is causing build
    failures.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Dec 2016 10:09:38 -0500

sahara (1:3.0.3-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1648071).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Dec 2016 08:21:28 -0500

sahara (1:3.0.2-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1619452).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Sep 2016 10:17:34 -0400

sahara (1:3.0.0-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 16 Oct 2015 12:50:11 +0000

sahara (1:3.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2015 17:25:11 -0400

sahara (1:3.0.0~rc1-0ubuntu1) wily; urgency=medium

  * d/watch: Update for upstream rc versioning.
  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 28 Sep 2015 12:16:21 +0100

sahara (1:3.0.0~b3-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Sep 2015 16:03:07 -0400

sahara (1:3.0.0~b2-0ubuntu2) wily; urgency=medium

  * Remove executing db-manage from post installation script
    Currently Sahara doesn't support Sqlite DB and also Mysql or another
    db can be unconfigured, so we need to remove executing of db-manage
    from post installation script.

 -- Denis Egorenko <degorenko@mirantis.com>  Wed, 26 Aug 2015 18:54:51 +0300

sahara (1:3.0.0~b2-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/rules: Remove .eggs directory in override_dh_auto_clean.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 17 Aug 2015 15:02:58 -0400

sahara (1:3.0.0~b1-0ubuntu3) wily; urgency=medium

  * No change rebuild with SQLAlchemy 1.0.6.

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 09:29:07 +0100

sahara (1:3.0.0~b1-0ubuntu2) wily; urgency=medium

  * d/rules: Drop OSLO_PACKAGE_VERSION from rules file, not required as
    we always use upstream release tarballs.

 -- James Page <james.page@ubuntu.com>  Mon, 06 Jul 2015 12:04:02 +0100

sahara (1:3.0.0~b1-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
    - d/control: Align (build-)depends with upstream.
    - d/p/fix-assert-regex.patch: Dropped. No longer needed.
    - d/p/fix-wrong-MANIFEST.in.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jul 2015 11:29:47 +0100

sahara (2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack kilo. (LP: #1449744)

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Apr 2015 15:53:55 +0200

sahara (2015.1~rc1-0ubuntu1) vivid; urgency=medium

  * New upstream milestone release:
    - debian/control: Align with upstream dependencies.
    - debian/patches/fix-alembic-migration-for-sqlite-1.patch: Refreshed.
    - debian/rules: Install the correct sample configuration file.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 09 Apr 2015 15:13:04 -0400

sahara (2015.1~b3-0ubuntu1) vivid; urgency=medium

  [ Corey Bryant ]
  * New upstream milestone release:
    - d/control: Align with upstream dependencies.
    - d/p/disable-migration-tests.patch: Dropped. Tests are passed by upstream.

  [ James Page ]
  * d/control: Add missing BD on testresources.
  * d/p/fix-assert-regex.patch: Correct use of assertRegex for python 2.7,
    resolving test failure in Ubuntu.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Mar 2015 11:24:18 +0100

sahara (2015.1~b1-0ubuntu1) vivid; urgency=medium

  * Sync with Debian experimental.
  * Align with other Ubuntu OpenStack packages:
    - d/*: Remove use of dbconfig-common and debconf.
    - d/control: Align with Ubuntu dependency versions.
    - d/sahara-common.postinst.in: Only sync db if sqlite is configured,
      secure permissions on /etc/sahara.
    - d/control: Update Vcs fields.
    - d/control,sahara-api.*,sahara-engine.*: Add new binary packages to
      allow engine and API daemons to be run separately, mark as
      conflicting with all-in-one sahara binary.
  * d/watch: Update to use tarballs.openstack.org for releases.
  * New upstream beta release:
    - d/control: Align with new upstream version requirements.
    - d/rules: Drop install of alembic migrations, now performed upstream.
    - d/p/disable-migration-tests.patch: Disable migration tests has they
      currently depend on running and configured MySQL and PostgreSQL.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Jan 2015 15:17:43 +0000

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	./run_tests.sh -N -P
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/sahara-doc/usr/share/doc/sahara-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b man doc/source doc/build/man
	dh_installman -O--buildsystem=python_distutils
endif

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func sahara-common.postinst

override_dh_install:
	dh_install -O--buildsystem=python_distutils --fail-missing

	# Install the config file.
	install -D -m 0644 $(CURDIR)/etc/sahara/sahara.conf.sample-basic $(CURDIR)/debian/sahara-common/etc/sahara/sahara.conf
	sed -i 's|#connection = <None>|connection=sqlite:////var/lib/sahara/saharadb|' $(CURDIR)/debian/sahara-common/etc/sahara/sahara.conf

override_dh_clean:
	rm -rf build debian/sahara-common.postinst
	rm -f debian/*.init debian/*.service debian/*.upstart
	dh_clean -O--buildsystem=python_distutils

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .eggs

## sahara 4.0.0~b3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0

alembic>=0.8.0 # MIT
Babel>=1.3 # BSD
castellan>=0.3.1 # Apache-2.0
eventlet!=0.18.3,>=0.18.2 # MIT
Flask<1.0,>=0.10 # BSD
iso8601>=0.1.9 # MIT
Jinja2>=2.8 # BSD License (3 clause)
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=4.0.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
paramiko>=1.16.0 # LGPL
requests!=2.9.0,>=2.8.1 # Apache-2.0
python-cinderclient>=1.3.1 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
python-manilaclient>=1.3.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
python-neutronclient>=2.6.0 # Apache-2.0
python-heatclient>=0.6.0 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.5.0 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
tooz>=1.28.0 # Apache-2.0
WebOb>=1.2.3 # MIT

=== debian/changelog ===
sahara (1:4.0.0~b3-1ubuntu1) xenial; urgency=medium

  [ Thomas Goirand ]
  * Added missing openssh-client and git build-depends-indep.
  * Better default config.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 14 Mar 2016 16:35:02 -0400

sahara (1:4.0.0~b3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed namespaces for generating the config file.
  * Using testr directly to run unit tests.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Mar 2016 14:06:54 +0100

sahara (1:4.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed the use of "dpkg-parsechangelog -S" which doesn't work on Trusty.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Dec 2015 14:42:25 +0100

sahara (1:3.0.0-5) unstable; urgency=medium

  [ Mikhail Ivanov ]
  * d/rules: fix typo in rules with wrong package naming (ie: it was
    sahara-commom instead of common (see the m at the end instead of n)).

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:58:35 +0000

=== debian/control ===
Source: sahara
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 37~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.0),
                     git,
                     python-babel,
                     python-bashate,
                     python-castellan (>= 0.3.1),
                     python-cinderclient (>= 1:1.3.1),
                     python-coverage,
                     python-doc8,
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 1.3.1),
                     python-flask,
                     python-hacking,
                     python-heatclient (>= 0.6.0),
                     python-iso8601,
                     python-jinja2 (>= 2.8),
                     python-jsonschema,
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-mako,
                     python-manilaclient (>= 1.3.0),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.3),
                     python-mysqldb,
                     python-neutronclient (>= 1:2.6.0),
                     python-novaclient (>= 2:2.29.0),
                     python-os-testr (>= 0.4.1),
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paramiko,
                     python-prettytable,
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-requests (>= 2.8.1),
                     python-rfc3986,
                     python-saharaclient (>= 0.13.0),
                     python-six (>= 1.9.0),
                     python-sphinxcontrib-httpdomain,
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.5.0),
                     python-swiftclient,
                     python-tempest-lib (>= 0.14.0),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.28.0),
                     python-webob,
                     openssh-client,
                     subunit,
                     testrepository,
Standards-Version: 3.9.7
Homepage: https://github.com/openstack/sahara
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/sahara.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/sahara.git

Package: python-sahara
Architecture: all
Section: python
Depends: alembic (>= 0.8.0),
         python-babel,
         python-castellan (>= 0.3.1),
         python-cinderclient (>= 1:1.3.1),
         python-eventlet (>= 0.18.4),
         python-flask,
         python-heatclient (>= 0.6.0),
         python-iso8601,
         python-jinja2 (>= 2.8),
         python-jsonschema,
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 4.0.0),
         python-manilaclient (>= 1.3.0),
         python-mysqldb,
         python-neutronclient (>= 1:2.6.0),
         python-novaclient (>= 2:2.29.0),
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 4.0.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-paramiko,
         python-pbr (>= 1.8),
         python-psycopg2 (>= 2.5),
         python-pymysql,
         python-requests (>= 2.8.1),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.5.0),
         python-swiftclient,
         python-tooz (>= 1.28.0),
         python-webob,
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Recommends: python-ldap,
Description: OpenStack data processing cluster as a service - library
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the Python libraries.

Package: sahara-common
Architecture: all
Section: python
Depends: adduser,
         dbconfig-common,
         debconf,
         python-sahara (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Recommends: python-ldap,
Breaks: sahara (<< 2015.1.0-3~),
Replaces: sahara (<< 2015.1.0-3~),
Description: OpenStack data processing cluster as a service - common files
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the common files.

Package: sahara-api
Architecture: all
Section: python
Depends: adduser,
         dbconfig-common,
         python-openstackclient,
         q-text-as-data,
         sahara-common (= ${source:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack data processing cluster as a service - API server
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the API server.

Package: sahara-engine
Architecture: all
Section: python
Depends: adduser,
         dbconfig-common,
         sahara-common (= ${source:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack data processing cluster as a service - Engine server
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the engine daemon.

Package: sahara
Architecture: all
Section: python
Depends: sahara-api (= ${source:Version}),
         sahara-engine (= ${source:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack data processing cluster as a service - API & Engine
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This metapackage depends on the API server and the engine daemon.

Package: sahara-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack data processing cluster as a service - doc
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	python setup.py egg_info
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		DISCOVER_DIRECTORY=$(CURDIR)/sahara/tests/unit PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
		rm -rf .testrepository ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/sahara-doc/usr/share/doc/sahara-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build $(SPHINXOPTS) -b man doc/source doc/build/man
	dh_installman -O--buildsystem=python_distutils
endif

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func sahara-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func sahara-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func sahara-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func sahara-common.postinst

override_dh_install:
	python2.7 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp
	dh_install -O--buildsystem=python_distutils --fail-missing

	# Install the config files.
	mkdir -p $(CURDIR)/debian/sahara-common/usr/share/sahara-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--wrap-width 140 \
		--namespace sahara.config \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.policy \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.sslutils \
		--namespace oslo.service.wsgi \
		--output-file $(CURDIR)/debian/sahara-common/usr/share/sahara-common/sahara.conf
	pkgos-fix-config-default $(CURDIR)/debian/sahara-common/usr/share/sahara-common/sahara.conf database connection sqlite:///var/lib/sahara/saharadb
	pkgos-fix-config-default $(CURDIR)/debian/sahara-common/usr/share/sahara-common/sahara.conf oslo_concurrency lock_path /var/lock/sahara
	pkgos-fix-config-default $(CURDIR)/debian/sahara-common/usr/share/sahara-common/sahara.conf keystone_authtoken auth_protocol http

	mkdir -p $(CURDIR)/debian/sahara-common/etc/sahara
	cp etc/sahara/compute.topology.sample $(CURDIR)/debian/sahara-common/etc/sahara/compute.topology
	cp etc/sahara/swift.topology.sample $(CURDIR)/debian/sahara-common/etc/sahara/swift.topology
	set -e ; for i in policy.json rootwrap.conf rootwrap.d ; do \
		cp -rfv etc/sahara/$$i $(CURDIR)/debian/sahara-common/etc/sahara ; \
	done

override_dh_clean:
	rm -rf build 	debian/sahara-common.postinst \
			debian/sahara-common.config \
			debian/sahara-api.postinst \
			debian/sahara-api.config
	rm -rf doc/build
	rm -f debian/*.init debian/*.service debian/*.upstart
	dh_clean -O--buildsystem=python_distutils

## sahara 4.0.0

=== requirements.txt ===
--- 
+++ 
@@ -33,7 +33,7 @@
 python-manilaclient>=1.3.0 # Apache-2.0
 python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
 python-swiftclient>=2.2.0 # Apache-2.0
-python-neutronclient>=2.6.0 # Apache-2.0
+python-neutronclient!=4.1.0,>=2.6.0 # Apache-2.0
 python-heatclient>=0.6.0 # Apache-2.0
 six>=1.9.0 # MIT
 stevedore>=1.5.0 # Apache-2.0

=== debian/changelog ===
sahara (1:4.0.0-1ubuntu1) xenial; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Corey Bryant ]
  * d/rules: Install api-paste.ini.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Apr 2016 08:59:36 -0400

sahara (1:4.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 21:58:07 +0200

sahara (1:4.0.0~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Added de.po debconf translation (Closes: #819689).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 11:13:00 +0200

sahara (1:4.0.0~rc1-3) experimental; urgency=medium

  * Do not use Keystone admin auth token to register API endpoints.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 13:53:38 +0000

sahara (1:4.0.0~rc1-2) experimental; urgency=medium

  * Add patch to install .json files as well.
  * Removed manual cp of alembic migration files, since the above patch makes
    it useless.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 09:38:36 +0200

sahara (1:4.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 14:29:00 +0100

sahara (1:4.0.0~b3-3) experimental; urgency=medium

  * Added missing openssh-client and git build-depends-indep.
  * Also install alembic migration missed by PBR.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Mar 2016 19:46:21 +0000

sahara (1:4.0.0~b3-2) experimental; urgency=medium

  * Better default config.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Mar 2016 15:34:33 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 37~),
+               openstack-pkg-tools (>= 40~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
@@ -75,7 +75,7 @@
                      openssh-client,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/openstack/sahara
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/sahara.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/sahara.git

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/sahara/tags .*/(\d[\d\.]+)\.tar\.gz

## sahara 4.1.0

=== requirements.txt ===
--- 
+++ 
@@ -5,16 +5,16 @@
 pbr>=1.6 # Apache-2.0
 
 alembic>=0.8.0 # MIT
-Babel>=1.3 # BSD
+Babel!=2.3.0,!=2.3.1,!=2.3.2,!=2.3.3,>=1.3 # BSD
 castellan>=0.3.1 # Apache-2.0
 eventlet!=0.18.3,>=0.18.2 # MIT
-Flask<1.0,>=0.10 # BSD
+Flask!=0.11,<1.0,>=0.10 # BSD
 iso8601>=0.1.9 # MIT
 Jinja2>=2.8 # BSD License (3 clause)
 jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
 keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
 oslo.config>=3.7.0 # Apache-2.0
-oslo.concurrency>=3.5.0 # Apache-2.0
+oslo.concurrency>=3.7.1 # Apache-2.0
 oslo.context>=0.2.0 # Apache-2.0
 oslo.db>=4.1.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
@@ -29,7 +29,7 @@
 paramiko>=1.16.0 # LGPL
 requests!=2.9.0,>=2.8.1 # Apache-2.0
 python-cinderclient>=1.3.1 # Apache-2.0
-python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
+python-keystoneclient!=1.8.0,!=2.1.0,<3.0.0,>=1.6.0 # Apache-2.0
 python-manilaclient>=1.3.0 # Apache-2.0
 python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
 python-swiftclient>=2.2.0 # Apache-2.0

=== debian/changelog ===
sahara (1:4.1.0-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1619318).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Sep 2016 11:03:59 -0400

=== debian/rules ===
--- 
+++ 
@@ -75,7 +75,7 @@
 	mkdir -p $(CURDIR)/debian/sahara-common/etc/sahara
 	cp etc/sahara/compute.topology.sample $(CURDIR)/debian/sahara-common/etc/sahara/compute.topology
 	cp etc/sahara/swift.topology.sample $(CURDIR)/debian/sahara-common/etc/sahara/swift.topology
-	set -e ; for i in policy.json rootwrap.conf rootwrap.d ; do \
+	set -e ; for i in api-paste.ini policy.json rootwrap.conf rootwrap.d ; do \
 		cp -rfv etc/sahara/$$i $(CURDIR)/debian/sahara-common/etc/sahara ; \
 	done

## sahara 5.0.0~b1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0

alembic>=0.8.4 # MIT
Babel>=2.3.4 # BSD
castellan>=0.4.0 # Apache-2.0
eventlet!=0.18.3,>=0.18.2 # MIT
Flask<1.0,>=0.10 # BSD
iso8601>=0.1.11 # MIT
Jinja2>=2.8 # BSD License (3 clause)
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
keystoneauth1>=2.1.0 # Apache-2.0
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
oslo.config>=3.9.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.context>=2.2.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=4.5.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
paramiko>=2.0 # LGPL
requests>=2.10.0 # Apache-2.0
python-cinderclient!=1.7.0,>=1.6.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.7.0 # Apache-2.0
python-manilaclient>=1.3.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
python-neutronclient>=4.2.0 # Apache-2.0
python-heatclient>=1.1.0 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.10.0 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
tooz>=1.28.0 # Apache-2.0
WebOb>=1.2.3 # MIT

## sahara 5.0.0~b2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0

alembic>=0.8.4 # MIT
Babel>=2.3.4 # BSD
castellan>=0.4.0 # Apache-2.0
eventlet!=0.18.3,>=0.18.2 # MIT
Flask!=0.11,<1.0,>=0.10 # BSD
iso8601>=0.1.11 # MIT
Jinja2>=2.8 # BSD License (3 clause)
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
keystoneauth1>=2.7.0 # Apache-2.0
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
oslo.config>=3.12.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.context>=2.4.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.15.0 # Apache-2.0
paramiko>=2.0 # LGPLv2.1+
requests>=2.10.0 # Apache-2.0
python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.7.0 # Apache-2.0
python-manilaclient>=1.3.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
python-neutronclient>=4.2.0 # Apache-2.0
python-heatclient>=1.1.0 # Apache-2.0
python-glanceclient>=2.0.0 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.10.0 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
tooz>=1.28.0 # Apache-2.0
WebOb>=1.2.3 # MIT
